# $Revision: 1.22.2.1 $, $Date: 2003/03/13 00:56:43 $
%include	/usr/lib/rpm/macros.perl
%define	pdir	Convert
%define	pnam	UU
Summary:	Convert::UU perl module
Summary(pl):	Modu perla Convert::UU
Name:		perl-Convert-UU
Version:	0.52
Release:	2
License:	GPL
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	rpm-perlprov >= 4.0.2-104
BuildRequires:	perl >= 5.6
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Convert::UU - perl module for uuencode and uudecode.

%description -l pl
Convert::UU - modu perla dla uuencode i uudecode.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog
%attr(755,root,root) %{_bindir}/*
%{perl_sitelib}/Convert/UU.pm
%{_mandir}/man[13]/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Convert-UU.spec,v $
Revision 1.22.2.1  2003/03/13 00:56:43  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.22  2003/02/25 00:37:41  radek
- use the __perl macro

Revision 1.21  2003/02/20 23:28:57  ankry
- updated to 0.52
- removed README available as manpage

Revision 1.20  2003/02/18 15:28:35  ankry
- massive attack: change CPAN URLs

Revision 1.19  2002/11/26 00:13:54  ankry
- Massive attack: new %%doc, use %%{_examplesdir} and proper attrs therein

Revision 1.18  2002/07/10 08:46:45  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.17  2002/05/11 14:28:06  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.16  2002/02/25 10:30:24  depesz
cleanup; revision++

Revision 1.15  2002/02/22 23:29:26  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.14  2002/02/13 14:10:31  depesz
automatic: Source location unfied, Relase Up

Revision 1.13  2002/02/10 15:24:42  depesz
adapterized

Revision 1.12  2002/01/18 02:14:13  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.11  2001/11/28 15:20:15  mis
- buildarch noarch; release++

Revision 1.10  2001/04/17 12:06:51  baggins
- release 5
- rebuild with perl 5.6.1

Revision 1.9  2001/04/14 18:00:05  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.8  2000/12/30 03:12:56  kloczek
- release 4: rebuild agaunst perl 5.6 and use new rpm automation.

Revision 1.7  2000/06/09 07:54:45  kloczek
- more %%{__make} macros.

Revision 1.6  2000/06/09 07:23:28  kloczek
- added using %%{__make} macro.

Revision 1.5  2000/05/16 22:13:21  kloczek
- spec adapterized.

Revision 1.4  2000/04/01 11:15:17  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.3  2000/03/28 16:54:47  baggins
- translated kloczkish into english

Revision 1.2  1999/11/05 21:24:10  pius
- added '%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/02 21:49:53  pius
- initial release
